Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/TOP_SRC/LOBSTER/trcopt.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/TOP_SRC/LOBSTER/trcopt.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/TOP_SRC/LOBSTER/trcopt.F90	(revision 2633)
@@ -52,5 +52,5 @@
       !!                xze    ???
       !!---------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zpar100 => wrk_2d_1, & ! irradiance at euphotic layer depth
                           zpar0m  => wrk_2d_2    ! irradiance just below the surface
@@ -68,5 +68,5 @@
       !!---------------------------------------------------------------------
 
-      IF( (.NOT. wrk_use(2, 1,2)) .OR. (.NOT. wrk_use(3, 2,3)) )THEN
+      IF( (wrk_in_use(2, 1,2)) .OR. (wrk_in_use(3, 2,3)) )THEN
          CALL ctl_stop('trc_opt : requested workspace arrays unavailable.')
          RETURN
@@ -138,5 +138,5 @@
       ENDIF
       !
-      IF( (.NOT. wrk_release(2, 1,2)) .OR. (.NOT. wrk_release(3, 2,3)) )THEN
+      IF( (wrk_not_released(2, 1,2)) .OR. (wrk_not_released(3, 2,3)) )THEN
          CALL ctl_stop('trc_opt : failed to release workspace arrays.')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/TOP_SRC/LOBSTER/trcsed.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/TOP_SRC/LOBSTER/trcsed.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/TOP_SRC/LOBSTER/trcsed.F90	(revision 2633)
@@ -56,5 +56,5 @@
       !!              trend of passive tracers is saved for futher diagnostics.
       !!---------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zwork => wrk_3d_2
       USE wrk_nemo, ONLY: zw2d  => wrk_2d_1 ! only used (if defined 
@@ -69,5 +69,5 @@
       !!---------------------------------------------------------------------
 
-      IF( (.NOT. wrk_use(3,2)) .OR. (.NOT. wrk_use(2,1)) )THEN
+      IF( (wrk_in_use(3,2)) .OR. (wrk_in_use(2,1)) )THEN
          CALL ctl_stop('trc_sed : requested workspace arrays unavailable.')
          RETURN
@@ -150,5 +150,5 @@
       ENDIF
 
-      IF( (.NOT. wrk_release(3,2)) .OR. (.NOT. wrk_release(2,1)) )THEN
+      IF( (wrk_not_released(3,2)) .OR. (wrk_not_released(2,1)) )THEN
          CALL ctl_stop('trc_sed : failed to release workspace arrays.')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/TOP_SRC/LOBSTER/trcsms_lobster.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/TOP_SRC/LOBSTER/trcsms_lobster.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/TOP_SRC/LOBSTER/trcsms_lobster.F90	(revision 2633)
@@ -46,5 +46,5 @@
       !! ** Method  : - ???
       !! --------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: ztrlob => wrk_3d_1   ! used for lobster sms trends
       !!
@@ -53,5 +53,5 @@
       !! --------------------------------------------------------------------
 
-      IF(.NOT. wrk_use(3,1))THEN
+      IF(wrk_in_use(3,1))THEN
          CALL ctl_stop('trc_sms_lobster : requested workspace array unavailable.')
          RETURN
@@ -72,5 +72,5 @@
       IF( lk_trdmld_trc )  CALL trd_mld_bio( kt )   ! trends: Mixed-layer
 
-      IF(.NOT. wrk_release(3,1))THEN
+      IF(wrk_not_released(3,1))THEN
          CALL ctl_stop('trc_sms_lobster : failed to release workspace array.')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/TOP_SRC/TRP/trcadv.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/TOP_SRC/TRP/trcadv.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/TOP_SRC/TRP/trcadv.F90	(revision 2633)
@@ -74,5 +74,5 @@
       !! ** Method  : - Update the tracer with the advection term following nadv
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zun => wrk_3d_1, zvn => wrk_3d_2, &
                           zwn => wrk_3d_3   ! effective velocity
@@ -84,5 +84,5 @@
       !!----------------------------------------------------------------------
 
-      IF(.NOT. wrk_use(3, 1,2,3))THEN
+      IF(wrk_in_use(3, 1,2,3))THEN
          CALL ctl_stop('trc_adv : requested workspace arrays unavailable.')
          RETURN
@@ -150,5 +150,5 @@
       END IF
       !
-      IF(.NOT. wrk_release(3, 1,2,3))THEN
+      IF(wrk_not_released(3, 1,2,3))THEN
          CALL ctl_stop('trc_adv : failed to release workspace arrays.')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/TOP_SRC/TRP/trcsbc.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/TOP_SRC/TRP/trcsbc.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/TOP_SRC/TRP/trcsbc.F90	(revision 2633)
@@ -60,5 +60,5 @@
       !!
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, zemps => wrk_2d_1
       !! * Arguments
@@ -72,5 +72,5 @@
       !!----------------------------------------------------------------------
 
-      IF(.NOT. wrk_use(2, 1))THEN
+      IF(wrk_in_use(2, 1))THEN
          CALL ctl_stop('trc_sbc: requested workspace array unavailable.')
          RETURN
@@ -126,5 +126,5 @@
       ENDIF
 
-      IF(.NOT. wrk_release(2, 1))THEN
+      IF(wrk_not_released(2, 1))THEN
          CALL ctl_stop('trc_sbc: failed to release workspace array.')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/TOP_SRC/TRP/trdmld_trc.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/TOP_SRC/TRP/trdmld_trc.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/TOP_SRC/TRP/trdmld_trc.F90	(revision 2633)
@@ -116,5 +116,5 @@
       !!            surface and the control surface is called "mixed-layer"
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zvlmsk => wrk_2d_1
       !!
@@ -125,5 +125,5 @@
       !!----------------------------------------------------------------------
 
-      IF(.NOT. wrk_use(2, 1))THEN
+      IF(wrk_in_use(2, 1))THEN
          CALL ctl_stop('trd_mld_trc_zint : requested workspace array unavailable.')
          RETURN
@@ -213,5 +213,5 @@
       END SELECT
 
-      IF(.NOT. wrk_release(2, 1))THEN
+      IF(wrk_not_released(2, 1))THEN
          CALL ctl_stop('trd_mld_trc_zint : failed to release workspace array.')
       END IF
@@ -237,5 +237,5 @@
       !!            surface and the control surface is called "mixed-layer"
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zvlmsk => wrk_2d_1
       !!
@@ -247,5 +247,5 @@
       !!----------------------------------------------------------------------
 
-      IF(.NOT. wrk_use(2, 1))THEN
+      IF(wrk_in_use(2, 1))THEN
          CALL ctl_stop('trd_mld_bio_zint : requested workspace array unavailable.')
          RETURN
@@ -332,5 +332,5 @@
       END DO
 
-      IF(.NOT. wrk_release(2, 1))THEN
+      IF(wrk_not_released(2, 1))THEN
          CALL ctl_stop('trd_mld_bio_zint : failed to release workspace array.')
       END IF
@@ -387,5 +387,5 @@
       !!       - See NEMO documentation (in preparation)
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, wrk_3d_1, wrk_3d_2, wrk_3d_3, wrk_3d_4, &
                     wrk_3d_5, wrk_3d_6, wrk_3d_7, wrk_3d_8, &
@@ -414,5 +414,5 @@
       !!----------------------------------------------------------------------
 
-      IF(.NOT. wrk_use(3, 1,2,3,4,5,6,7,8,9))THEN
+      IF(wrk_in_use(3, 1,2,3,4,5,6,7,8,9))THEN
          CALL ctl_stop('trd_mld_trc : requested workspace arrays unavailable.')
          RETURN
@@ -916,5 +916,5 @@
       IF( lrst_trc )   CALL trd_mld_trc_rst_write( kt )  ! this must be after the array swap above (III.3)
 
-      IF(.NOT. wrk_release(3, 1,2,3,4,5,6,7,8,9))THEN
+      IF(wrk_not_released(3, 1,2,3,4,5,6,7,8,9))THEN
          CALL ctl_stop('trd_mld_trc : failed to release workspace arrays.')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/TOP_SRC/prtctl_trc.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/TOP_SRC/prtctl_trc.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/TOP_SRC/prtctl_trc.F90	(revision 2633)
@@ -62,5 +62,5 @@
       !!                it must looks like: CALL prt_ctl( mask=tmask ).
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zmask => wrk_3d_1, ztab3d => wrk_3d_2
       !!
@@ -78,5 +78,5 @@
       !!----------------------------------------------------------------------
 
-      IF(.NOT. wrk_use(3, 1,2))THEN
+      IF(wrk_in_use(3, 1,2))THEN
          CALL ctl_stop('prt_ctl_trc : requested workspace arrays unavailable.')
          RETURN
@@ -158,5 +158,5 @@
       END DO
       !
-      IF(.NOT. wrk_release(3, 1,2))THEN
+      IF(wrk_not_released(3, 1,2))THEN
          CALL ctl_stop('prt_ctl_trc : failed to release workspace arrays.')
       END IF
